services:
  jumpserver:
    image: jumpserver/jms_all:v4.10.16
    container_name: ${CONTAINER_NAME}
    privileged: true
    restart: always
    ports:
      - ${PANEL_APP_PORT_HTTP}:80
      - ${SSH_PORT}:2222
    volumes:
      - ./data/:/opt/data
    networks:
      - 1panel-network
    environment:
      SECRET_KEY: ${SECRET_KEY}
      BOOTSTRAP_TOKEN: ${BOOTSTRAP_TOKEN}
      DEBUG: ${DEBUG:-FALSE}
      LOG_LEVEL: ${LOG_LEVEL}
      DB_ENGINE: ${DB_ENGINE}
      DB_HOST: ${PANEL_DB_HOST}
      DB_PORT: ${PANEL_DB_PORT}
      DB_USER: ${PANEL_DB_USER}
      DB_PASSWORD: ${PANEL_DB_USER_PASSWORD}
      DB_NAME: ${PANEL_DB_NAME}
      REDIS_HOST: ${PANEL_REDIS_HOST}
      REDIS_PORT: 6379
      REDIS_PASSWORD: ${PANEL_REDIS_ROOT_PASSWORD}
      DOMAINS: ${DOMAINS:-}
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true